net.sourceforge.pmd.lang.java.ast

## Class Token.GTToken

- java.lang.Object
- - net.sourceforge.pmd.lang.java.ast.Token
  - - net.sourceforge.pmd.lang.java.ast.Token.GTToken

Enclosing class:
  Token

    public static final class Token.GTToken
    extends Token

### Nested Class Summary

### Nested classes/interfaces inherited from class net.sourceforge.pmd.lang.java.ast.Token

`Token.GTToken`

### Field Summary

Fields
`int` `realKind`

### Fields inherited from class net.sourceforge.pmd.lang.java.ast.Token

`beginColumn, beginLine, endColumn, endLine, image, kind, next, specialToken`

### Constructor Summary

Constructors
Constructor and Description
`Token.GTToken(int ofKind, String image)`

### Method Summary

### Methods inherited from class net.sourceforge.pmd.lang.java.ast.Token

`getValue, newToken, newToken, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### realKind

    public int realKind

### Constructor Detail

#### Token.GTToken

    public Token.GTToken(int ofKind,
                 String image)